using SoftwareInstallationDataModels;
using SoftwareInstallationDataModels.Models;
using System.ComponentModel;

namespace SoftwareInstallationContracts.ViewModels
{
    public class ShopViewModel : IShopModel
    {
        [DisplayName("Название магазина")]
        public string Name { get; set; } = string.Empty;

        [DisplayName("Адрес магазина")]
        public string Address { get; set; } = string.Empty;

        [DisplayName("Максимальное количество изделий в магазине")]
        public int MaxCountPackages { get; set; }

        [DisplayName("Время открытия")]
        public DateTime DateOpening { get; set; } = DateTime.Now;

        public Dictionary<int, (IPackageModel, int)> Packages
        {
            get;
            set;
        } = new();

        public int Id { get; set; }
    }
}